#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	rp-pppoe
Version		:	4.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A PPP over Ethernet client (for xDSL support).

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://salsa.debian.org/dskoll/rp-pppoe
			#https://dianne.skoll.ca/projects/rp-pppoe/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	coreutils
BuildRequires	:	iproute2-devel
BuildRequires	:	ppp-devel	>= 2.5.1

Requires	:	ppp		>= 2.5.1
Requires	:	coreutils
Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. This package contains the
Roaring Penguin PPPoE client, a user-mode program that does not
require any kernel modifications. It is fully compliant with RFC 2516,
the official PPPoE specification.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%attr (0750,root,root) %{_sysconfdir}/rc.d/init.d/%{sname}
%{_sysconfdir}/ppp/peers/*.conf.example
%config(noreplace) %{_sysconfdir}/ppp/%{sname}-server-options
%{_sbindir}/%{sname}
%{_sbindir}/%{sname}-*
%{_libdir}/%{name}/
%{_defaultdocdir}/%{name}-%{version}/
%{_mandir}/man8/%{sname}-*.8.gz
%{_mandir}/man8/%{sname}.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{sname} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{sname}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
%{_sbindir}/chkconfig --add %{sname}

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

pushd	src
autoconf
PATH=/usr/sbin:$PATH					\
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}/%{name}			\
	--runstatedir=/run/%{name}			\
	--enable-plugin					\
	--verbose					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	PLUGIN_DIR="%{_libdir}%{name}"			\
	%{_smp_mflags}					\
	all rp-pppoe.so

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C src						\
	DESTDIR=%{buildroot}				\
	PLUGIN_DIR="/usr/lib/%{name}"			\
	install

#installing link setting scrript
%{__mkdir_p} 						\
	%{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -f						\
	%{name}-ok_addon/%{sname}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{sname}

#installing configuration  sample file
%{__mkdir_p} 						\
	%{buildroot}%{_sysconfdir}/ppp/peers/
%{__cp} -f						\
	%{name}-ok_addon/*.conf.example			\
	%{buildroot}%{_sysconfdir}/ppp/peers/

#-----------------------------------------------------------------------------
%changelog
